#include <iostream>

using namespace std;

int main()
{
    int n, q;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    cin>>q;
    string b[q]; int c1, c2;
    for(int i=0;i<q;i++)
    {
        cin>>c1>>c2;
        c1--;
        c2--;
        int br=0, cuv=-1;
        for(int j=c1;j<c2-1;j++)
        {
            if(a[j]>a[j+1])
            {
                br++;
            }
            if(cuv>a[j+1])
            {
                br++;
            }
            cuv=a[c1];
        }
        if(br>1)
        {
            b[i]="NE";
        }
        else
        {
            b[i]="DA";
        }
    }
    for(int i=0;i<q;i++)
    {
        cout<<b[i]<<"\n";
    }
    return 0;
}